Get all orders
curl --request GET \
--url https://api.fourthwall.com/open-api/v1.0/order \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fourthwall.com/open-api/v1.0/order"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fourthwall.com/open-api/v1.0/order', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"id": "00aa4abd-5778-4199-8161-0b49b2f212e5",
"shopId": "sh_c689d374-22ca-43d3-8d29-9ef0805cc4cb",
"friendlyId": "D3XZFWPP",
"checkoutId": "ch_BV44UYrXQA2T_Xcf1288tw",
"status": "CONFIRMED",
"email": "supporter@fourthwall.com",
"emailMarketingOptIn": true,
"message": "Sample message",
"amounts": {
"subtotal": {
"value": 10,
"currency": "USD"
},
"shipping": {
"value": 10,
"currency": "USD"
},
"tax": {
"value": 10,
"currency": "USD"
},
"donation": {
"value": 10,
"currency": "USD"
},
"discount": {
"value": 10,
"currency": "USD"
},
"giftCards": [
{
"code": "<string>",
"amountUsed": {
"value": 10,
"currency": "USD"
}
}
],
"total": {
"value": 10,
"currency": "USD"
}
},
"offers": [
{
"id": "00aa4abd-5778-4199-8161-0b49b2f212e5",
"name": "My t-shirt",
"slug": "my-t-shirt",
"description": "My t-shirt description",
"variant": {
"id": "00aa4abd-5778-4199-8161-0b49b2f212e5",
"name": "My t-shirt - Black, L",
"sku": "WDEK-DRE200L",
"unitPrice": {
"value": 10,
"currency": "USD"
},
"attributes": {
"description": "Black, L",
"color": {
"name": "Black",
"swatch": "#000000"
},
"size": {
"name": "L"
}
},
"quantity": 5,
"price": {
"value": 10,
"currency": "USD"
},
"weight": {
"value": 1,
"unit": "kg"
},
"dimensions": {
"length": 1,
"width": 2,
"height": 3,
"unit": "cm"
},
"unitCost": {
"value": 10,
"currency": "USD"
},
"compareAtPrice": {
"value": 10,
"currency": "USD"
},
"cost": {
"value": 10,
"currency": "USD"
}
},
"primaryImage": {
"id": "00aa4abd-5778-4199-8161-0b49b2f212e5",
"url": "https://fourthwall.com/image.png",
"width": 800,
"height": 600,
"transformedUrl": "https://fourthwall.com/image.png"
}
}
],
"source": {
"type": "GIVEAWAY_LINKS",
"giftId": "gft_EdJvIXu3SEiXe_QkPavHSA"
},
"createdAt": "2020-08-13T09:05:36.939Z",
"updatedAt": "2020-08-13T09:05:36.939Z",
"promotionId": "prm_EdJvIXu3SEiXe_QkPavHSA",
"username": "Johnny123",
"billing": {
"address": {
"name": "Joe Doe",
"address1": "Main Street 1",
"city": "San Francisco",
"state": "CA",
"country": "US",
"address2": "<string>",
"zip": "12345",
"phone": "123456789"
}
},
"shipping": {
"address": {
"name": "Joe Doe",
"address1": "Main Street 1",
"city": "San Francisco",
"state": "CA",
"country": "US",
"address2": "<string>",
"zip": "12345",
"phone": "123456789"
}
},
"trackingParams": {
"fbc": "<string>",
"fbp": "<string>",
"utm_source": "<string>",
"utm_medium": "<string>",
"utm_campaign": "<string>",
"utm_content": "<string>",
"utm_term": "<string>"
},
"metadata": {}
}
],
"total": 123,
"page": 123,
"size": 123,
"totalPages": 123
}
Orders
List Orders
Rate limit: 100 requests / 10 seconds per shop. See Rate limiting.
Returns all orders with pagination. The maximum page size is 100 - larger values are capped at 100.
GET
/
open-api
/
v1.0
/
order
Get all orders
OAuth scope:
order_readAPI keys have full access to this endpoint.Authorizations
oauthbasicAuth
The access token received from the authorization server in the OAuth 2.0 flow.
Query Parameters
Number of elements per page. The maximum page size is 100 - larger values are capped at 100.
Available options:
CONFIRMED, PARTIALLY_IN_PRODUCTION, IN_PRODUCTION, PARTIALLY_SHIPPED, SHIPPED, PARTIALLY_DELIVERED, DELIVERED, CANCELLED, COMPLETED